Mailinglist Archive: opensuse-bugs (4687 mails)

< Previous Next >
[Bug 579900] New: blt crash in python-tk bindings
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Mon, 15 Feb 2010 09:58:03 +0000
  • Message-id: <bug-579900-21960@xxxxxxxxxxxxxxxxxxxxxxxx/>
http://bugzilla.novell.com/show_bug.cgi?id=579900

http://bugzilla.novell.com/show_bug.cgi?id=579900#c0


Summary: blt crash in python-tk bindings
Classification: openSUSE
Product: openSUSE 11.1
Version: Final
Platform: Other
OS/Version: openSUSE 11.1
Status: NEW
Severity: Normal
Priority: P5 - None
Component: Other
AssignedTo: bnc-team-screening@xxxxxxxxxxxxxxxxxxxxxx
ReportedBy: vogt@xxxxxxxxxxxxxxxxxx
QAContact: qa@xxxxxxx
Found By: ---
Blocker: ---


User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.12)
Gecko/2009071200 SUSE/3.0.12-0.1.2 Firefox/3.0.12 Mnenhy/0.7.6.666


Hello,

opensuse 11.1 (or SLES/SLED) is linking python-tk against libBLT24.so
which comes from the blt packages.
blt looks like an abandoned package and never got ported properly
to something > tk 8.5.x.
(Therefore this dependency has been dropped in suse > 11.1)
There are some reports:

https://bugs.launchpad.net/ubuntu/+source/blt/+bug/359857
https://bugzilla.redhat.com/show_bug.cgi?id=504388

A nasty side effect is that it crashes python when issuing the
"modules" command.

Example: (python-tk is installed)

python
help()
modules
->segfault


the attached patch fixes the python segfault but does not repair
other issues with blt (eg graphs not working) but thats beyond
my blt knowledge.

blt is abadoned, and no one really cares according to my search.
(redhat,debian,ubuntu)
Most likely they are right here, because blt is ancient.

(There are other python modules which crash in this help()->modules test)
eg python-opengl but thats another report.



Reproducible: Always

Steps to Reproduce:
1.install python-tk
2.python
3.help()
4.modules
Actual Results:
segfault

Expected Results:
list of installed modules

Patch works for my, but did not got very much testing.
Its in the categroy "seems not to segfault anymore"
I know that novell / SLES /SLED support is not fixing "unsupported
packages" (like my thunderbird fireforx crash reports),
so most likely this wont get fixed either.

--
Configure bugmail: http://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >